Skip to main content

Get Expense

GET/expenses/{id}

Summary

Returns one timesheet expense by its id or internal nanoid, including its assignment, worker, category, value, status, attachment, and approval details.

URL Parameters

NameTypeRequiredDescription
idstringYesExpense id or nanoid

Query Parameters

  • None

Request Example

curl -X GET 'https://api.requidex.com/api/open/v1/expenses/{id}' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Accept: application/json'

Response Fields

The response fields match GET /expenses.

Response Example (200)

{
"success": true,
"data": {
"id": "67bc36db80a1616ec3f4c001",
"worker": {
"id": "67bc36db80a1616ec3f48999",
"reference": "WK-1044",
"name": "Jordan Smith"
},
"timesheet": {
"id": "67bc36db80a1616ec3f4a001",
"reference": "TS-1044"
},
"company": {
"id": "67bc36db80a1616ec3f47001",
"name": "Requidex Construction Ltd"
},
"project": {
"id": "67bc36db80a1616ec3f47011",
"name": "Northern Rail Electrification"
},
"agency": {
"id": "67bc36db80a1616ec3f47101",
"name": "Northline Labour Desk"
},
"status": "pending",
"category": "Travel",
"description": "Parking",
"date": "2026-03-04T00:00:00.000Z",
"value": 12.75,
"receipts": [],
"noReceiptReason": "Receipt lost on site",
"createdBy": {
"id": "67bc36db80a1616ec3f49998",
"name": "Pat Taylor"
},
"createdAt": "2026-03-04T17:45:00.000Z",
"updatedAt": "2026-03-04T17:45:00.000Z"
}
}

MCP Tool

The MCP server exposes this operation as open_api_get_expense with the input id.